@echo off

if not "%OS%"=="Windows_NT" goto win9xStart
:winNTStart
@setlocal
:win9xStart

rem find JAVA_HOME
if not "%JAVA_HOME%"=="" goto checkXindiceHome
echo JAVA_HOME is not set and ant could not be located. Please set JAVA_HOME.
goto end

:checkXindiceHome
rem find XINDICE_HOME
if not "%XINDICE_HOME%"=="" goto checkJava

rem check for Xindice in "Program Files" on the system drive
if not exist "%SystemDrive%\Program Files\Xindice" goto checkSystemDrive
set XINDICE_HOME=%SystemDrive%\Program Files\Xindice
goto checkJava

:checkSystemDrive
rem check for Xindice in the root directory of the system drive
if not exist "%SystemDrive%\Xindice" goto checkWorkXindice
set XINDICE_HOME=%SystemDrive%\Xindice
goto checkJava

:checkWorkXindice
rem check for Xindice in the work directory on the system drive
if not exist "%SystemDrive%\work\Xindice" goto checkCurrent
set XINDICE_HOME=%SystemDrive%\work\Xindice
goto checkJava

:checkCurrent
if exist ".\config" set XINDICE_HOME=.
echo %XINDICE_HOME%
goto checkJava

:noXindiceHome
echo XINDICE_HOME is not set and ant could not be located. Please set XINDICE_HOME.
goto end

:checkJava
if "%JAVACMD%" == "" set JAVACMD=java
if "%XINDICE_DB_HOME%" == "" set XINDICE_DB_HOME=%XINDICE_HOME%

set LOCALCLASSPATH=%CLASSPATH%;%ANT_HOME%\config
for %%i in (%XINDICE_HOME%\dist\xindice*.jar) do call %XINDICE_HOME%\bin\lcp.bat %%i
for %%i in (%XINDICE_HOME%\java\lib\*.jar) do call %XINDICE_HOME%\bin\lcp.bat %%i

if "%JAVA_HOME%" == "" goto runXindice
if exist %JAVA_HOME%\lib\tools.jar call %XINDICE_HOME%\bin\lcp.bat %JAVA_HOME%\lib\tools.jar
if exist %JAVA_HOME%\lib\classes.zip call %XINDICE_HOME%\bin\lcp.bat %JAVA_HOME%\lib\classes.zip

:runXindice
set CL=
:LOOP
if "%1"=="" goto DONE
set CL=%CL% %1
shift
goto LOOP
:DONE

set LOGGER=org.apache.commons.logging.impl.SimpleLog
set LOGLEVEL=debug
%JAVACMD% -Xms16m -Xmx128m -Dxindice.home=%XINDICE_HOME% -Dxindice.db.home=%XINDICE_DB_HOME% -Dorg.apache.commons.logging.Log=%LOGGER% -Dorg.apache.commons.logging.simplelog.defaultlog=%LOGLEVEL% -Dcmd.home=%XINDICE_HOME%\bin -classpath %LOCALCLASSPATH% org.apache.xindice.tools.XMLTools %CL%

:end
if not "%OS%"=="Windows_NT" goto win9xEnd
:winNTend
@endlocal
goto mainEnd
:win9xEnd
set JAVACMD=
set LOCALCLASSPATH=
:mainEnd
